Bug 76031 - [EFL] Unused code cleanup on ewk_tiled_model.cpp.
Summary: [EFL] Unused code cleanup on ewk_tiled_model.cpp.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-10 23:00 PST by KwangHyuk
Modified: 2012-01-13 01:23 PST (History)
5 users (show)

See Also:


Attachments
Patch. (3.23 KB, patch)
2012-01-11 19:18 PST, KwangHyuk
rniwa: review+
rniwa: commit-queue-
Details | Formatted Diff | Diff
Update ChangeLog. (3.20 KB, patch)
2012-01-12 23:23 PST, KwangHyuk
no flags Details | Formatted Diff | Diff
Update ChangeLog. (3.20 KB, patch)
2012-01-12 23:26 PST, KwangHyuk
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description KwangHyuk 2012-01-10 23:00:05 PST
From the ewk_tiled_model.cpp, as _ewk_tile_paint is never used, it and two callee APIs which are only used by it will be removed.
Comment 1 KwangHyuk 2012-01-11 19:18:08 PST
Created attachment 122156 [details]
Patch.
Comment 2 Gyuyoung Kim 2012-01-11 19:23:26 PST
Comment on attachment 122156 [details]
Patch.

Though this functions are internal functions, I think you need to notify this removal to webkit-efl mailing list first. Because, other guys may use this functions in future.
Comment 3 KwangHyuk 2012-01-11 19:25:33 PST
(In reply to comment #2)
> (From update of attachment 122156 [details])
> Though this functions are internal functions, I think you need to notify this removal to webkit-efl mailing list first. Because, other guys may use this functions in future.

Ok, I will. :)
Comment 4 KwangHyuk 2012-01-11 21:27:34 PST
(In reply to comment #3)
> (In reply to comment #2)
> > (From update of attachment 122156 [details] [details])
> > Though this functions are internal functions, I think you need to notify this removal to webkit-efl mailing list first. Because, other guys may use this functions in future.
> 
> Ok, I will. :)

I have announced the change. :)
Comment 5 Raphael Kubo da Costa (:rakuco) 2012-01-12 04:22:01 PST
Looks OK.
Comment 6 Ryosuke Niwa 2012-01-12 22:57:23 PST
Comment on attachment 122156 [details]
Patch.

View in context: https://bugs.webkit.org/attachment.cgi?id=122156&action=review

> Source/WebKit/efl/ChangeLog:8
> +        As _ewk_tile_paint is never used, it and two callee APIs which are only used by it are removed.

I don't really understand this description. Do you mean that callers of these two functions are removed? Please revise the description before landing it. Also this description is pretty long. You might want to wrap line somewhere.
Comment 7 KwangHyuk 2012-01-12 23:23:34 PST
Created attachment 122374 [details]
Update ChangeLog.
Comment 8 KwangHyuk 2012-01-12 23:26:03 PST
Created attachment 122376 [details]
Update ChangeLog.
Comment 9 WebKit Review Bot 2012-01-13 01:23:41 PST
Comment on attachment 122376 [details]
Update ChangeLog.

Clearing flags on attachment: 122376

Committed r104908: <http://trac.webkit.org/changeset/104908>
Comment 10 WebKit Review Bot 2012-01-13 01:23:46 PST
All reviewed patches have been landed.  Closing bug.